Summary: A shared library that implements a Lisp dialect.
Name: librep
Version: 0.15.1
Release: 3
Epoch: 1
Copyright: GPL
Group: Development/Languages
Source: ftp://librep.sourceforge.net/pub/librep/librep-%{version}.tar.gz
URL: http://librep.sourceforge.net/
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/install-info
BuildPrereq: gmp-devel
BuildPrereq: gdbm-devel
Requires: gmp >= 4.0.1-3

%description
The librep shared library implements a Lisp dialect that is
lightweight, reasonably fast, and extensible. It contains an
interpreter, byte-code compiler, and virtual machine. Applications may
use the interpreter as an extension language, or it may be used for
standalone scripts. The Lisp dialect was originally inspired by Emacs
Lisp. Unlike Emacs Lisp, the reliance on dynamic scope has been
removed and librep only has a single namespace for symbols.

%package devel
Summary: Include files and link libraries for librep development.
Group: Development/Languages
Requires: librep = %{version}

%description devel
The link libraries and C header files for librep development. Librep
is an embeddable dialect of Lisp.

%prep
%setup

%build
autoconf
%configure \
%ifarch ia64
	--with-malloc-alignment=8 \
%endif	
        --with-readline --enable-shared --enable-static

make host_type=%{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT host_type=%{_target_platform} install
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README TODO
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep
%{_libexecdir}/rep
%{_infodir}/librep*

%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.a
%{_libdir}/librep.so
%{_includedir}/rep.h
%{_includedir}/rep_*.h
## with automake 1.5 this may not be found, because configure uses aclocal --print-ac-dir
%{_datadir}/aclocal/rep.m4

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%postun -p /sbin/ldconfig

%preun 
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi

%changelog
* Mon Mar 18 2002 Havoc Pennington <hp@redhat.com>
- require new gmp, old ones make it crash for some reason,
  #60857

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- don't strip libraries
- avoid putting same files in both -devel and plain package

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 0.15.1

* Wed Aug  8 2001 Jonathan Blandford <jrb@redhat.com>
- We own %{_datadir}/rep and %{_datadir}/libexec/rep.  Fix #51156

* Mon Jul 16 2001 Havoc Pennington <hp@redhat.com>
- BuildPrereq gdbm-devel
- fix TODO in doc file list

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links to library major version number into rpm filelist

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.13.6-2
- Rebuild with new readline

* Mon Apr 30 2001 Jonathan Blandford <jrb@redhat.com>
- Upgrade to 0.13.6

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- Upgrade to .13.3
- put all files in prefix/libexec/platform/rep/* in the file list

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- 0.12.1
- remove stack smash workaround patch

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall
- use %%{_infodir}

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- 0.12
- remove gmp patch to configure.in, seems to have been merged upstream
- remove ia64 hack, since upstream seems to have addressed the issue
  (though it isn't the same solution as our patch, so may or may not 
  work)

* Thu May 18 2000 Bill Nottingham <notting@redhat.com>
- tweaks for ia64

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gmp 3.0.1

* Sat Apr 22 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.3

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.2

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new readline

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.1

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add install-info stuff

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.10
- don't pacakge ldconfig symlinks

* Thu Nov 11 1999 Michael K. Johnson <johnsonm@redhat.com>
- Remove stack tracing on alpha in order not to trigger internal
  compiler error.  Should be reverted when we get a newer
  compiler; development gcc has this fixed.

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
